Subject: [PATCH 17/20] ASoC: pxa: pxa-pcm-lib: switch over to snd-soc-dmaengine-pcm

From: [email-masked] (Daniel Mack)
Date: Thu, 08 Aug 2013 11:43:24 +0200

On 08.08.2013 11:36, Mark Brown wrote:
> On Thu, Aug 08, 2013 at 11:03:44AM +0200, Daniel Mack wrote:
>> On 08.08.2013 10:44, Lars-Peter Clausen wrote:
> 
>>> There is intentionally no dependency on ASoC for the soc-dmaengine-pcm code, 
>>> though since I wasn't sure whether there was ever going to be a userside 
>>> outside of ASoC the coded ended up in ASoC folder. It shouldn't be a problem to 
>>> make it available to all of ALSA.
> 
>> Ok, great. I queued a patch for that. Will be part of my next spin, or,
>> in case the series doesn't make it in time, I'll re-post all the patches
>> that can be applied independently up front.
> 
> You probably don't need to move it, just adding a select (which should
> ignore Kconfig dependencies) from the non-ASoC PXA stuff ought to do the
> trick.

Hmm. We have this big "if SND_SOC" in sound/soc/Kconfig which prevent
that symbol to be selected. In fact, SND_PXA2XX_LIB already selected
SND_SOC_DMAENGINE_PCM, but that didn't help.

And code that is not ASoC specific should live outside of sound/soc, no?

Daniel